local addon = {}
local fullTraitAP = 2228766330
local LAD = LibStub("LibArtifactData-1.0")
local C = DEFAULT_CHAT_FRAME

function addon:getArtifactLink(artifactName)
	local mainHand = GetInventoryItemLink("player", 16)
	local offHand = GetInventoryItemLink("player", 17)
	
	if (offHand == nil) then
		return mainHand
	end
	
	local mainName = select(1, GetItemInfo(mainHand))
	local offName = select(1, GetItemInfo(offHand))
	
	if (mainName == artifactName) then
		return mainHand
	elseif (offHand == artifactName) then
		return offHand
	else
		return mainHand
	end
end

function addon:calculatePercentRemaining(artifactID)
	local name = select(2, LAD:GetArtifactInfo(artifactID))["name"]
	local link = self:getArtifactLink(name)
	local apTotal = LAD:GetAcquiredArtifactPower(artifactID)
	local p = 0
	if (apTotal >= fullTraitAP) then
		p = 100
	else
		p = math.floor(apTotal/fullTraitAP * 1000)*0.1
	end
	C:AddMessage(link.." "..p.."% towards unlocking Concordance of Legionfall.", 255/255, 251/255, 0/255)
end

function addon:ARTIFACT_ACTIVE_CHANGED(message, newActiveID, oldActiveID)
	self:calculatePercentRemaining(newActiveID)
end

function addon:ARTIFACT_POWER_CHANGED(message, artifactID, unspentPower, power, maxPower, powerForNextRank, numRanksPurchased, numRanksPurchasable)
	self:calculatePercentRemaining(artifactID)
end

LAD.RegisterCallback(addon, "ARTIFACT_POWER_CHANGED")
LAD.RegisterCallback(addon, "ARTIFACT_ACTIVE_CHANGED")